Skip to main content
GET
List all instances for an MCP server

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

serverId
string
required

The ID of the MCP server UUID of the MCP server to list instances for

Example:

"550e8400-e29b-41d4-a716-446655440000"

Query Parameters

page_no
number | null
default:1

Page number for pagination (1-based) Page number to retrieve

Example:

1

limit
number | null
default:20

Number of items per page (default: 20) Number of instances to return per page

Example:

20

Search instances by user ID/instance ID Filter instances by user ID or instance ID (partial match)

Example:

"user_123"

order_by
enum<string>
default:updated_at

Field to order results by Field to use for ordering the results

Available options:
created_at,
updated_at
Example:

"updated_at"

order_direction
enum<string>
default:desc

Direction of ordering Sort direction (ascending or descending)

Available options:
asc,
desc
Example:

"desc"

Response

Successfully retrieved MCP server instances. Returns the list of user IDs associated with this server.

Paginated list of instances for an MCP server

instances
object[]
required

List of instance objects associated with this MCP server for the current page

Example:
server_id
string
required

UUID of the MCP server

Example:

"550e8400-e29b-41d4-a716-446655440000"

server_name
string
required

Name of the MCP server

Example:

"Production GitHub Integration"

total_pages
number
required

Total number of pages in the paginated response

Example:

3

current_page
number
required

Current page number being returned

Example:

1